<form [formGroup]="formGroup" (ngSubmit)="onSubmit()">
  <div class="line-creation-form">
    <div class="container-close">
      <div class="slider-toggle">
        <geodesign-input-toggle [radioToggle]="true" [value]="false"
                                formControlName="toggleTod"></geodesign-input-toggle>
        <div>
          <span [class.active]="!formGroup.get('toggleTod').value">{{ 'LINE_DIALOG.REGULAR_LINE' | translate }}</span>
          <span [class.active]="formGroup.get('toggleTod').value">{{ 'LINE_DIALOG.TOD_LINE' | translate }}</span>
        </div>
      </div>
      <div class="close" (click)="onCloseCreation()">
        <i class="icon-icomoon-remove"></i>
      </div>
    </div>
    <geodesign-input-text [placeholder]="(formGroup.get('toggleTod').value ? 'LINE_DIALOG.SERVICE_NAME' : 'LINE_DIALOG.LINE_NAME') | translate"
                          formControlName="name"></geodesign-input-text>
    <geodesign-input-text [placeholder]="'LINE_DIALOG.ABBREVIATION' | translate" formControlName="abbr"
                          maxLength="4"></geodesign-input-text>
    <geodesign-select *ngIf="formGroup.get('type')" [options]="typeOptions"
                      [label]="'LINE_DIALOG.LINE_TYPE' | translate"
                      formControlName="type"></geodesign-select>
    <geodesign-select *ngIf="formGroup.get('tadType')" [options]="tadTypeOptions"
                      [label]="'LINE_DIALOG.TAD_TYPE' | translate" formControlName="tadType"></geodesign-select>
    <geodesign-select [options]="lineThOptions" [label]="'LINE_DIALOG.TH_SELECT' | translate"
                      formControlName="dataId"></geodesign-select>
    <geodesign-select *ngIf="formGroup.get('offreMode')" [options]="offreModeOptions"
                      formControlName="offreMode"></geodesign-select>
    <geodesign-select *ngIf="formGroup.get('mode')" [options]="drawModeOptions"
                      formControlName="mode"></geodesign-select>
    <geodesign-input-color label="Couleur du réseau" formControlName="color"></geodesign-input-color>
    <geodesign-alert *ngIf="isError">{{ 'GLOBAL.ERROR' | translate }}</geodesign-alert>
  </div>
  <div class="submit-button-container">
    <geodesign-button type="submit" styles="primary">
      <geodesign-loader color="#fff" *ngIf="isLoading"></geodesign-loader>
      <ng-container *ngIf="!isLoading">{{ 'FORM.CREATE' | translate }}</ng-container>
    </geodesign-button>
  </div>
</form>
